org.apache.solr.schema

## Class IndexSchema.DynamicCopy

- java.lang.Object
- - org.apache.solr.schema.IndexSchema.DynamicReplacement
  - - org.apache.solr.schema.IndexSchema.DynamicCopy

- All Implemented Interfaces:
    Comparable<IndexSchema.DynamicReplacement>
  Enclosing class:
    IndexSchema

      public static class IndexSchema.DynamicCopy
      extends IndexSchema.DynamicReplacement

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.schema.IndexSchema.DynamicReplacement

      `IndexSchema.DynamicReplacement.DynamicPattern`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.schema.IndexSchema.DynamicReplacement

      `pattern`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexSchema.DynamicField` | `getDestDynamicBase()`
    `String` | `getDestFieldName()`
    `IndexSchema.DynamicField` | `getDestination()`
    `int` | `getMaxChars()`
    `IndexSchema.DynamicField` | `getSourceDynamicBase()`
    `SchemaField` | `getTargetField(String sourceField)` Generates a destination field name based on this source pattern, by substituting the remainder of this source pattern into the the given destination pattern.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.solr.schema.IndexSchema.DynamicReplacement

      `compareTo, getRegex, matches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getMaxChars

          public int getMaxChars()

    - #### getSourceDynamicBase

          public IndexSchema.DynamicField getSourceDynamicBase()

    - #### getDestDynamicBase

          public IndexSchema.DynamicField getDestDynamicBase()

    - #### getDestination

          public IndexSchema.DynamicField getDestination()

    - #### getDestFieldName

          public String getDestFieldName()

    - #### getTargetField

          public SchemaField getTargetField(String sourceField)

      Generates a destination field name based on this source pattern, by substituting the remainder of this source pattern into the the given destination pattern.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.